import React from "react";
import { isVideoPreviewEnabled } from "@applicaster/zapp-react-native-ui-components/Components/MasterCell/utils";
import { LiveImage } from "../LiveImage";
import PureImage from "../Image";

type Props = {
  enable_video_preview: boolean;
  player_screen_id: string;
};

export const ImageContainer = (props: Props) => {
  const Component = isVideoPreviewEnabled(props) ? LiveImage : PureImage;

  return <Component {...props} />;
};
